OpenVDB: PointsToTransformedScalarOp< GridT, PointDataGridT, FilterT, DeformerT > Struct Template Reference

OpenVDB 7.1.0

Public Types | Public Member Functions | List of all members
PointsToTransformedScalarOp< GridT, PointDataGridT, FilterT, DeformerT > Struct Template Reference

Compute scalar grid from PointDataGrid using a different transform and while evaluating the point filter. More...

`#include <PointMask.h>`

## Public Types
using | PointDataLeafT = typename PointDataGridT::TreeType::LeafNodeType
using | ValueT = typename GridT::TreeType::ValueType
using | HandleT = AttributeHandle< Vec3f >
using | CombinableT = typename GridCombinerOp< GridT >::CombinableT

## Public Member Functions
| PointsToTransformedScalarOp (const math::Transform &targetTransform, const math::Transform &sourceTransform, const FilterT &filter, const DeformerT &deformer, CombinableT &combinable)
void | operator() (const PointDataLeafT &leaf, size_t idx) const

## Detailed Description

### template<typename GridT, typename PointDataGridT, typename FilterT, typename DeformerT>
struct openvdb::v7_1::points::point_mask_internal::PointsToTransformedScalarOp< GridT, PointDataGridT, FilterT, DeformerT >

Compute scalar grid from PointDataGrid using a different transform and while evaluating the point filter.

## Member Typedef Documentation

## ◆ CombinableT

using CombinableT = typename GridCombinerOp<GridT>::CombinableT

## ◆ HandleT

using HandleT = AttributeHandle<Vec3f>

## ◆ PointDataLeafT

using PointDataLeafT = typename PointDataGridT::TreeType::LeafNodeType

## ◆ ValueT

using ValueT = typename GridT::TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ PointsToTransformedScalarOp()

PointsToTransformedScalarOp | ( | const math::Transform & | targetTransform,
|  | const math::Transform & | sourceTransform,
|  | const FilterT & | filter,
|  | const DeformerT & | deformer,
|  | CombinableT & | combinable
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const PointDataLeafT & | leaf,
|  | size_t | idx
| ) |  | const
| inline

The documentation for this struct was generated from the following file:

- PointMask.h